Download it now!
Bug 77861 - FILEOPEN: WPS RTF - Styles import gone wrong
Summary: FILEOPEN: WPS RTF - Styles import gone wrong
Status: RESOLVED WORKSFORME
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.3.0.4 release
Hardware: Other All
: high normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: filter:rtf
Depends on:
Blocks: RTF-Styles
  Show dependency treegraph
 
Reported: 2014-04-24 04:20 UTC by Yousuf Philips (jay) (retired)
Modified: 2017-09-30 07:54 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
bullet list font styles are not correct (80.50 KB, image/jpg)
2014-04-24 04:20 UTC, Yousuf Philips (jay) (retired)
Details
list of applied styles (15.42 KB, image/png)
2014-04-24 04:21 UTC, Yousuf Philips (jay) (retired)
Details
rtf file created with kingsoft writer (605.31 KB, application/rtf)
2014-04-24 04:23 UTC, Yousuf Philips (jay) (retired)
Details
applied styles in 6.0 (17.85 KB, image/png)
2017-09-27 22:42 UTC, Yousuf Philips (jay) (retired)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2014-04-24 04:20:36 UTC
Created attachment 97861 [details]
bullet list font styles are not correct

I downloaded the .docx file found at < http://download.microsoft.com/documents/rus/microsoft4you/How_to_license_the_operating_system_Windows_8_new.docx > and opened it in Kingsoft Writer 9.1.0.4280 < http://wps-community.org/download.html > and then saved it as a rtf file. Then i opened the saved file in LibO and on all pages that contain bullet list items, the text isnt correct as the import of styles isnt correct. It should also be noted that number list numbers, which is present on page 3, appear like '10!br0ken!!' rather than '1.'. Tested in LibO 4.1+. Earlier versions are not able to open it.
Comment 1 Yousuf Philips (jay) (retired) 2014-04-24 04:21:47 UTC
Created attachment 97862 [details]
list of applied styles
Comment 2 Yousuf Philips (jay) (retired) 2014-04-24 04:23:32 UTC
Created attachment 97863 [details]
rtf file created with kingsoft writer
Comment 3 Jorendc 2014-04-26 14:01:51 UTC
Wow, this looks bad. Tested using Windows 8.1 with LibreOffice Version: 4.3.0.0.alpha1+
Build ID: f4a6837025a293312cbc43b9c527851362f11030
TinderBox: Win-x86@47-TDF, Branch:MASTER, Time: 2014-04-26_09:21:18

Looks like a RTF version produced using Word 2013 looks a bit better. So might be also some issues related to Kingsoft Writer.

Kind regards,
Joren
Comment 4 Yousuf Philips (jay) (retired) 2014-04-26 14:38:06 UTC
Nope not an issue related to kingsoft writer as i tested the rtf in word 2010 and it didnt have the same problems.
Comment 5 Yousuf Philips (jay) (retired) 2014-05-09 23:00:14 UTC
I've submitted another bug report for the broken numeric list character showing as '10!br0ken!!' issue. bug 78506.
Comment 6 Mihaly Kenczler 2014-08-18 15:01:47 UTC
(Win7 Ultimate 64bit)
RTF import alters the paragraph style named "Default".
User changes the font of the "Default" style. User saves document az RTF. Reopens: the font changes back to Times New Roman.
Similar happens with line spacing (changes back to single from any other.
Same with space below paragraph (changes back to 0)

Background color behaves more erratic: it is remains changed (ie red) in the dialog, but the document does not display it.

Other issues are to be invetigated.

The preview of the recent docs at the initial Writer window is correct!
Comment 7 Robinson Tryon (qubit) 2015-12-10 01:08:21 UTC Comment hidden (obsolete)
Comment 8 QA Administrators 2017-01-03 19:40:09 UTC Comment hidden (obsolete)
Comment 9 Yousuf Philips (jay) (retired) 2017-09-27 22:42:02 UTC
Created attachment 136572 [details]
applied styles in 6.0

There are 7 styles currently being applied and the document does look close to the original so its a fix for me.